#!/bin/sh

BIN_DIR=/app
SEAWEEDFS_MASTERS=10.10.100.1:9333 # Need an odd number #,10.10.100.21:9333

if test "${LIGHTHOUSE}" == "true"; then
    ${BIN_DIR}/weed master -mdir=/storage -peers=${SEAWEEDFS_MASTERS} &
else
    ${BIN_DIR}/weed volume -dir=/storage -mserver=${SEAWEEDFS_MASTERS} &
    ${BIN_DIR}/weed filer -master=${SEAWEEDFS_MASTERS} &
fi

wait
